/*------------------------------------------------
   Compilador: xBase y eXpress 2.0
                                                 
   Programa..: XSQL.PRG
   Menu......: Utilitario
   Funcin...: Herramiento de todos los Sistemas
                                                 
   Autor.....: 
   Fecha.....:
 
   Modificado: Nolberto Paulino
   Empresa...: DIGISOFT.-
   Pas......: Rep. Dom,  
   Telefono..: 1-809-570-7780
   Beeper....: 1-809-281-3014
   Correo....: digitsoft26@hotmail.com
                                 
   Fecha.....: 01-01-2016                         
   Ult. Modi.: 27-01-2016                         
 --------------------------------------------------*/


#command SQL CONNECTION TO <cConnection> OBJECT <oConnection>  ;
     => <oConnection> := SQL_Connection(<cConnection>)

#command SELECT <cField>               ;
         [FROM          <cAlias>]      ;
         [ORDER BY      <cOrderBy>]    ;
         [WHERE         <cWhere>]      ;
         [LIKE          <cLike>]       ;
         [BETWEEN       <cBetween>]    ;
         [AND           <cAnd>]        ;
         [or            <cOr>]        ;
         [<lNot:        NOT>]          ; 
         [<lGoTop:      GOTOP>]        ; 
         [<lGoBottom:   GOBOTTOM>]     ; 
         [<lSkip:       SKIP>]         ;
         [<lDelete:     DELETE>]       ;
         [<lAppend:     APPEND>]       ;
         [<lCommit:     COMMIT>]       ;
         [GO            <(nGo)>]       ;       
         [REFRESH       <oRefresh>]    ;
         [LIMIT <nLimit>]              ;
         OBJECT <oCursor>              ;
     =>  <oCursor> := SQL_Select(<cField>,<cAlias>,<cOrderBy>,<cWhere>,<cLike>,<.lNot.>,<.lGoTop.>,<.lGoBottom.>,<.lSkip.>,<.lDelete.>,<.lAppend.>,<.lCommit.>,<nGo>,<oRefresh>,<nLimit>,<cBetween>,<cAnd>,<cOr>)

#command SEEK <cSeek>             ;
         [ORDER BY <cOrderBy>]    ;
         FROM <oCursor>           ;
         [<lAppend: APPEND>]      ; 
         [<lDelete: DELETE>]      ;
         [<lGoTop: GOTOP>]        ;
         [<lGoBottom: GOBOTTOM>]  ;
         [<lCommit:     COMMIT>]  ;
      => SQL_Seek(<oCursor>,<cSeek>,<cOrderBy>,<.lAppend.>,<.lDelete.>,<.lGoTop.>,<.lGoBottom.>,<.lCommit.>)
