/*------------------------------------------------
   Compilador: xBase y eXpress 1.8
                                                 
   Programa..: SQL.PRG
   Menu......: Utilitario
   Funcin...: Herramiento de todos los Sistemas
                                                 
   Autor.....: 
   Fecha.....:
 
   Modificado: Nolberto Paulino
   Empresa...: Digitsoft.-
   Pas......: Rep. Dom,  
   Telefono..: 1-809-570-7780
   Beeper....: 1-809-281-3014
   Correo....: digitsoft26@hotmail.com
                                 
   Fecha.....: 20-01-2016                         
   Ult. Modi.: 03-02-2016
 --------------------------------------------------*/

#include "sql.ch"
#include "sqlext.ch"
#include "dcdialog.ch"
#include "XSQL.CH"

#INCLUDE "inkey.ch"
#INCLUDE "dcdialog.ch"
#INCLUDE "xbp.ch"
#INCLUDE "appevent.ch"

#DEFINE  cTipMov         aApp[01]
#DEFINE  cDocumento      aApp[02]
#DEFINE  cCodFact        aApp[03]
#DEFINE  cCodVend        aApp[04]
#DEFINE  cCodCaj         aApp[05]
#DEFINE  cCodCli         aApp[06]
#DEFINE  cFecha          aApp[07]
#DEFINE  cCodProd        aApp[08]
#DEFINE  cDescrip        aApp[09]
#DEFINE  cCantidad       aApp[10]
#DEFINE  cPrecio         aApp[11]
#DEFINE  cTotal          aApp[12]
#DEFINE  cSeek           aApp[13]

#DEFINE  aObjectos       aApp[14]


#DEFINE  oDlg          aObjectos[01]
#DEFINE  oBrowse       aObjectos[02]
#DEFINE  oSeek         aObjectos[03]
#DEFINE  oPVCAM02D     aObjectos[04]

 


PROCEDURE Main()

local oConnection, GetList[0], GetOptions, aApp[20], i, cStatement, cConnectString, cTableName, aSort
local cSQLServer, cSQLPort, cSQLDatabase, cSQLUserID, cSQLPass
local cSQLcQuote, oStmt, lUseRecno := .f.
local nFields, aData, nRecno, cString, nSuccess, oCursor, lFound, cSQL, cTag, cIndexName
local oLet1

aObjectos  := ARRAY(04)

SET EXACT      ON
SET LEXICAL    OFF
SET COLLATION  TO SPANISH


// set up default configuration of GUI browse headers for sorting
aSort := Array(4)
aSort[1] := GRA_CLR_WHITE    // Sort Selected Color (Foreground)
aSort[2] := GRA_CLR_RED      // Sort Selected Color (Background)
aSort[3] := GRA_CLR_WHITE    // Sort Unselected Color (Foreground)
aSort[4] := GRA_CLR_DARKGRAY // Sort Unselected Color (Background)
DC_BrowseSort(aSort)

DC_AutoRestoreWindow({HKEY_LOCAL_MACHINE,'Software\Donnay Software\Samples\Windows'})

// establish the ODBC connection
cSQLServer    := "192.168.1.100"
cSQLPort      := "5432"
cSQLDatabase  := "gcefei" 
cSQLUserID    := "postgres" 
cSQLPass      := "dgs"
cSeek         := SPACE(60)

cConnectString:= 'DRIVER={PostgreSQL ANSI};SERVER='+cSQLServer+';PORT='+cSQLPort+';DATABASE='+cSQLDatabase+';UID='+cSQLUserID+';PWD='+cSQLPass+';'

? "Conectando:",cConnectString
SQL CONNECTION TO cConnectString OBJECT oConnection

if ! oConnection:isConnected
   ? "Connection error!"
   wait
   quit
else
   ? "Connected to: ", oConnection:DbmsName, ", Database: ", oConnection:DatabaseName
END if

   ? oConnection:ConnectString
   ?
   ? "oConnect:DatabaseName         :", oConnection:DatabaseName
   ? "oConnect:DbmsName             :", oConnection:DbmsName
   ? "oConnect:DbmsVersion          :", oConnection:DbmsVersion
   ? "oConnect:CollationSequence    :", oConnection:CollationSequence
   ? "oConnect:IdentifierQuoteChar  :", oConnection:IdentifierQuoteChar
   ? "oConnect:MaxActiveStatements  :", oConnection:MaxActiveStatements
   ? "oConnect:MaxStatementLen      :", oConnection:MaxStatementLen
   ? "oConnect:isTransactionCapable :", oConnection:isTransactionCapable
   ? "oConnect:isReadOnly           :", oConnection:isReadOnly


cTipMov    := "DF"
cDocumento := "1-00002000"

? "Cargando Tablas: ",ampm(time())

select "documento,tipmov,codfact,codvend,codcaj,codcli,fecha,codprod,descrip,cantidad,precio,total"  FROM "pvcam02d"  WHERE "documento="+SQLString(cDocumento) AND "tipmov="+SQLString(cTipMov)  ORDER BY "descrip"   OBJECT oPVCAM02D

?? "Ok",ampm(time())
? "RecCount:",oPVCAM02D:RecCount()
?

oPVCAM02D:sort( "descrip" )
oPVCAM02D:GoTop()
do while !oPVCAM02D:eof()
   ? oPVCAM02D:fieldget("codvend"),oPVCAM02D:fieldget("codfact"),oPVCAM02D:fieldget("codcli"),oPVCAM02D:fieldget("codprod"),oPVCAM02D:fieldget("descrip")
   oPVCAM02D:skip()
END do

oPVCAM02D:sort("descrip")
oPVCAM02D:GoTop()
oPVCAM02D:Refresh()
? "Recno:",oPVCAM02D:Recno()
?


cTipMov    := "DF"
cCodFact   := oPVCAM02D:fieldget("codfact")
cCodVend   := oPVCAM02D:fieldget("codvend")
cCodCaj    := oPVCAM02D:fieldget("codcaj")
cCodCli    := oPVCAM02D:fieldget("codcli")
cFecha     := oPVCAM02D:fieldget("Fecha")
cCodProd   := oPVCAM02D:fieldget("codprod")
cDescrip   := SPACE(60)
cCantidad  := 0

@ 0.90,00.30 DCGET cDocumento     PICT "9-99999999"
@ 0.90,13.00 DCPUSHBUTTON CAPTION "Buscar"     SIZE 08,1  ACTION {|| BuscarDocumento(GetList,aApp ) }

@ 2.00,00.30 DCGET cSeek          PICT "@!k"  ;
             GETSIZE 20 ;
             GETOBJECT oSeek ;
             KEYBLOCK {|a,b,o|KeyseekBrow(a,b,o, aApp ), IIF(EMPT(cSeek ),SetAppFocus( oSeek  ),NIL) }
** @ 2.00,21.00 DCPUSHBUTTON CAPTION "Buscar"     SIZE 08,1  ACTION {|| BuscarRegistro(GetList,aApp ) }


@ 2.00,38.00 DCPUSHBUTTON CAPTION "Sort"       SIZE 08,1  ACTION {|| SortBrowse(GetList,aApp ) }
@ 2.00,46.00 DCPUSHBUTTON CAPTION "Borrar"     SIZE 08,1  ACTION {|| BorrarRegistro(GetList,aApp ) }
@ 2.00,54.00 DCPUSHBUTTON CAPTION "Insertar"   SIZE 08,1  ACTION {|| InsertarRegistro(GetList,aApp ) }
@ 2.00,62.00 DCPUSHBUTTON CAPTION "Modificar"  SIZE 08,1  ACTION {|| ModificarRegistro(GetList,aApp, .F. ) }
@ 2.00,70.00 DCPUSHBUTTON CAPTION "Nuevo"      SIZE 08,1  ACTION {|| NuevoRegistro(GetList,aApp ) }
 


@ 3.5,00.0 DCBROWSE oBrowse DATA oPVCAM02D  SIZE 80.0,20.0  ;
           USEVISUALSTYLE ;  
           CURSORMODE  XBPBRW_CURSOR_ROW ;
           ITEMMARKED {|| oLet1:SetCaption( "RowPos: "+VAR2CHAR(oBrowse:RowPos)+" / "+VAR2CHAR(oBrowse:RowCount) ), SetAppFocus( oSeek) } ;
           ITEMSELECTED {|| ModificarRegistro( GetList,aApp, .T. ), SetAppFocus( oSeek) } ;
           HEADLINES 2 ;
           NOSOFTTRACK 


           DCBROWSECOL DATA {|| oPVCAM02D:Recno()              }  PARENT oBrowse HEADER "N;RECNO"           WIDTH 04 
           DCBROWSECOL DATA {|| oPVCAM02D:FieldGet("codprod")  }  PARENT oBrowse HEADER "CODIGO;PRODUCTO"    WIDTH 06 
           DCBROWSECOL DATA {|| oPVCAM02D:FieldGet("descrip")  }  PARENT oBrowse HEADER "NOMBRE;PRODUCTO"    WIDTH 15 
           DCBROWSECOL DATA {|| oPVCAM02D:FieldGet("cantidad") }  PARENT oBrowse HEADER ";CANTIDAD"          WIDTH 07 
           DCBROWSECOL DATA {|| oPVCAM02D:FieldGet("precio")   }  PARENT oBrowse HEADER ";PRECIO"            WIDTH 07 PICTURE "99,999.99"
           DCBROWSECOL DATA {|| oPVCAM02D:FieldGet("total")    }  PARENT oBrowse HEADER ";TOTAL"             WIDTH 07 PICTURE "999,999.99"
           
           

@ 23.0,01.00 DCSAY "" SAYOBJECT oLet1 SAYSIZE 20

DCREAD GUI FIT TITLE "SQLBrowse"  PARENT @oDlg



quit
 
?
? "Fin de Proceso"

wait
oConnection:disconnect()
oConnection:destroy()
quit

return

FUNCTION BuscarDocumento( GetList,aApp )
local nKey 

? "--------------------------------------"
? "DF",cDocumento
? "--------------------------------------"

select "documento,tipmov,codfact,codvend,codcaj,codcli,fecha,codprod,descrip,cantidad,precio,total"  FROM "pvcam02d"  WHERE "documento="+SQLString(cDocumento) AND "tipmov="+SQLString(cTipMov)  ORDER BY "descrip"   OBJECT oPVCAM02D

?
oPVCAM02D:sort( "descrip" )
oPVCAM02D:GoTop()
do while !oPVCAM02D:eof()
   ? oPVCAM02D:fieldget("codvend"),oPVCAM02D:fieldget("codfact"),oPVCAM02D:fieldget("codcli"),oPVCAM02D:fieldget("codprod"),oPVCAM02D:fieldget("descrip")
   oPVCAM02D:skip()
END do
oPVCAM02D:GoTop()

?

?
? oPVCAM02D:Refresh(),"==", SQL_XPP_ERROR
?
? "nRecno:  ",oPVCAM02D:RecCount()
? "SortOrde:",oPVCAM02D:SortOrder[1]," = ",oPVCAM02D:FieldName(oPVCAM02D:SortOrder[1])
?

*** oBrowse:dataSource := oPVCAM02D

oBrowse:RefreshAll():ForceStable()
oBrowse:refreshall( )


?
return SetAppFocus( oSeek ) 


FUNCTION SortBrowse( GetList,aApp )
local cSort := lower(ALLTRIM(cSeek))
oPVCAM02D:sort( cSort )
oBrowse:refreshall( )
oSeek:SetData(cSort := SPACE(80) )
return nil


FUNCTION NuevoRegistro( GetList,aApp )
return NIL

FUNCTION BorrarRegistro( GetList,aApp )
if DC_WinAlert("Esta Seguro de Borrar este Registro","Atencin",XBPMB_YESNO,XBPMB_WARNING,,oDlg) = XBPMB_RET_YES 
   oPVCAM02D:delete()
   oPVCAM02D:UpDateRow() 
   oBrowse:refreshall()
END if   
return NIL

FUNCTION InsertarRegistro( GetList,aApp )
local xCodProd := PADR(ALLTRIM(cSeek),7), nRecno
xCodProd := IIF(EMPT(xCodProd),"NAP-"+RIGHT(time(),2),xCodProd)
? "--------------------------------------"
? "DF",cDocumento,cCodCli,"["+xCodProd+"]"
? "--------------------------------------"
if !oPVCAM02D:Locate({"DF",cDocumento,xCodProd}, {"tipmov","documento","codprod"} ) 
   oPVCAM02D:Append()
   ? "Creando:     ", oPVCAM02D:Recno()
else
   ? "Modificando: ", oPVCAM02D:Recno()
END if

 oPVCAM02D:fieldPut("TipMov"   , "DF" )
 oPVCAM02D:fieldPut("Documento", cDocumento )
 oPVCAM02D:fieldPut("CodVend"  , cCodVend )
 oPVCAM02D:fieldPut("CodFact"  , cCodFact )
 oPVCAM02D:fieldPut("CodCli"   , cCodCli  )
 oPVCAM02D:fieldPut("CodProd"  , xCodProd )
 oPVCAM02D:fieldPut("Descrip"  , "PRUEBA 01" )
 oPVCAM02D:fieldPut("Cantidad" , 1 )
 oPVCAM02D:fieldPut("precio"   , 100.00 )
 oPVCAM02D:fieldPut("total"    , 100.00 )
 oPVCAM02D:UpDateRow()

 oPVCAM02D:sort("descrip")
 oBrowse:ForceStable( ) 
 oBrowse:refreshall( )
   
 oPVCAM02D:Locate({"DF",cDocumento,xCodProd}, {"tipmov","documento","codprod"} )
 oBrowse:refreshall( )
return NIL


FUNCTION ModificarRegistro( aGetList,aApp, lEditar )
local GetList := {}, nRecno, oDlg2, lOk := .F.

cCodProd := PADR(ALLTRIM(cSeek),7)
cCodProd := IIF(EMPT(cCodProd) .OR. lEditar,oPVCAM02D:fieldGet("codprod"),cCodProd)
? "--------------------------------------"
? "DF",cDocumento,cCodCli,"["+cCodProd+"]"
? "--------------------------------------"

if !oPVCAM02D:Locate({"DF",cDocumento,cCodProd}, {"tipmov","documento","codprod"},.F. ) 
   ? "Creando:     ", oPVCAM02D:Recno()
else
   ? "Modificando: ", oPVCAM02D:Recno()
END if

   ? "--------------------------------------"
   nRecno   := oPVCAM02D:Recno()
   cDescrip := oPVCAM02D:fieldGet("Descrip")+SPACE(30)
   cCantidad:= oPVCAM02D:fieldGet("Cantidad")
   cPrecio  := oPVCAM02D:fieldGet("Precio")
   cTotal   := oPVCAM02D:fieldGet("Total")
   ? "--------------------------------------"
   ? 

   @ 1.0, 0.0 DCSAY "CodProd: "   GET cCodProd    PICT "@!K"     
   @ 2.0, 0.0 DCSAY "Descrip: "   GET cDescrip    PICT "@!KS40"     GETSIZE 40
   @ 3.0, 0.0 DCSAY "Cantidad:"   GET cCantidad   PICT "9999.99"
   @ 4.0, 0.0 DCSAY "Precio:  "   GET cPrecio     PICT "99,999.99"

DCREAD GUI FIT ADDBUTTONS TITLE "Modificando"  PARENT @oDlg2 TO lOk

if lOk
   if !oPVCAM02D:Locate({"DF",cDocumento,cCodProd}, {"tipmov","documento","codprod"},.F. ) 
      oPVCAM02D:Append()
   END if

   oPVCAM02D:fieldPut("TipMov"   , "DF" )
   oPVCAM02D:fieldPut("Documento", cDocumento )
   oPVCAM02D:fieldPut("CodProd"  , cCodProd )
   oPVCAM02D:fieldPut("CodVend"  , cCodVend )
   oPVCAM02D:fieldPut("CodFact"  , cCodFact )
   oPVCAM02D:fieldPut("CodCli"   , cCodCli  )
   oPVCAM02D:fieldPut("CodProd"  , cCodProd )
   oPVCAM02D:fieldPut("Descrip"  , ALLTRIM(cDescrip) )
   oPVCAM02D:fieldPut("Cantidad" , cCantidad )
   oPVCAM02D:fieldPut("precio"   , cPrecio )
   oPVCAM02D:fieldPut("total"    , (cCantidad*cPrecio) )
   oPVCAM02D:UpDateRow()
   
   oPVCAM02D:sort("descrip")
   oBrowse:ForceStable( ) 
   oBrowse:refreshall( )
   
   oPVCAM02D:Locate({"DF",cDocumento,cCodProd}, {"tipmov","documento","codprod"},.F. )
   oBrowse:refreshall( )
   ?
   ? "Grabado..."
   ?
END if

return NIL


FUNCTION BuscarRegistro( GetList,aApp )
local xCodProd := PADR(ALLTRIM(cSeek),7), nRecno

? "--------------------------------------"
? "DF",cDocumento,cCodCli,"["+xCodProd+"]"
? "--------------------------------------"

if !oPVCAM02D:Locate({"DF",cDocumento,xCodProd}, {"tipmov","documento","codprod"} ) 
   ? "Creando:     ", oPVCAM02D:Recno()
   ** oPVCAM02D:Append()
else
   ? "Modificando: ", oPVCAM02D:Recno()
   ? "--------------------------------------"
   ? "TipMov:      ", oPVCAM02D:fieldGet("TipMov")
   ? "codprod:     ", oPVCAM02D:fieldGet("codprod")
   ? "Documento:   ", oPVCAM02D:fieldGet("Documento")
   ? "--------------------------------------"
   ? 
END if
 nRecno := oPVCAM02D:Recno()
 oBrowse:refreshall( )
 SetAppFocus( oSeek ) 
 ***:SetData(cSeek := SPACE(60) )
return nil
** DC_GetRefresh(GetList,,DCGETREFRESH_TYPE_EXCLUDE,{GETLIST_BROWSE} )


STATIC FUNCTION KeyseekBrow( nKey, b, oGet, aApp )
local lClearBuffer := .T., cLike := ALLTRIM(ALLTRIM(oGet:EditBuffer()) )
do case
   case nKey = xbeK_ENTER
        ?
        ? "Documento:",cDocumento
        ? "TipMov:   ",cTipMov
        ?
        select "documento,tipmov,codfact,codvend,codcaj,codcli,fecha,codprod,descrip,cantidad,precio,total"  FROM "pvcam02d"  WHERE "documento="+SQLString(cDocumento) AND "tipmov="+SQLString(cTipMov)  ORDER BY "descrip"  LIKE cLike   OBJECT oPVCAM02D
        oBrowse:dataSource := oPVCAM02D
        oBrowse:refreshall( )
        ?
   case nKey = xbeK_UP   .AND. !(oPVCAM02D:Bof( ))
        oBrowse:up():refreshall()
   case nKey = xbeK_DOWN .AND. !(oPVCAM02D:Eof( ))
        oBrowse:down():refreshall()
   case nKey = xbeK_PGUP .AND. !(oPVCAM02D:Bof( ))
        oBrowse:pageup():refreshall()
   case nKey = xbeK_PGDN .AND. !(oPVCAM02D:Eof( ))
        oBrowse:pagedown():refreshall()
   case nKey = xbeK_END  .AND. !(oPVCAM02D:Eof( ))
        oBrowse:gobottom():refreshall()
   case nKey = xbeK_HOME .AND. !(oPVCAM02D:Bof( ))
        oBrowse:gotop():refreshall()
otherwise
       if ( nKey > 31 .AND. nKey < 254 ) .OR. nKey == xbeK_DEL
          SET EXACT OFF
          ** if oPVCAM02D:Locate( ALLTRIM(oGet:EditBuffer()),"descrip" )
          if oPVCAM02D:seek( ALLTRIM(oGet:EditBuffer()) )
             oBrowse:refreshall()
          END if
          SET EXACT ON
      END if
      lClearBuffer := .F.
END case
if lClearBuffer
   nKey := space(20)
   oGet :Get:home()
   oGet :SetData( nKey  )
   oBrowse:refreshall()
END if
return SetAppFocus( oGet )


//-----------------------------------------------------------------------------
**PROCEDURE AppSys() ; return

PROCEDURE DbeSys()
return
