/*------------------------------------------------
   Compilador: xBase y eXpress 1.8
                                                 
   Programa..: XSQL.PRG
   Menu......: Utilitario
   Funcin...: Herramiento de todos los Sistemas
                                                 
   Autor.....: 
   Fecha.....:
 
   Modificado: Nolberto Paulino
   Empresa...: Digitsoft.-
   Pas......: Rep. Dom,  
   Telefono..: 1-809-570-7780
   Beeper....: 1-809-281-3014
   Correo....: digitsoft26@hotmail.com
                                 
   Fecha.....: 20-01-2016                         
   Ult. Modi.: 
 --------------------------------------------------*/
MEMVAR __oConnection, __lFound

#INCLUDE "Class.ch" 
#INCLUDE "dcdialog.ch"
#INCLUDE "xbp.ch"
#INCLUDE "SET.ch"
#INCLUDE "dcbitmap.ch"
#INCLUDE "appevent.ch"
#INCLUDE "dccursor.ch"
#INCLUDE "dcdir.ch"
#INCLUDE "inkey.ch"
#INCLUDE "dccolor.ch"
#INCLUDE "gra.ch"
#INCLUDE "dcmsg.ch"
#INCLUDE "dcprint.ch"
#INCLUDE "XSQL.CH"
#include "sql.ch"
#include "sqlext.ch"


/* SQL_Connection */
FUNCTION SQL_Connection( cConnectString )
local oConnection
PUBLIC __oConnection

DC_PointerWait( )
oConnection  := SQLConnection():new()
oConnection  :driverConnect(nil, @cConnectString)
**oConnection  :displayErrors := .F.
__oConnection:= oConnection
DC_PointerArrow( )
return oConnection

/* SQL Found */
FUNCTION SQL_Found()
return __lFound

FUNCTION SQLString( cSQLString )
return "'"+cSQLString+"'"

/* select SQL */
FUNCTION SQL_Select(cField,cAlias,cOrderBy,cWhere,cLike,lNot,lGoTop,lGoBottom,lSkip,lDelete,lAppend,lCommit,nGo,oRefresh,nLimit,cBetween,cAnd,cOr)
local I, oStmt, oCursor, cSQLString := "", nSuccess
DC_PointerWait( )
if !EMPT(cField)
   cSQLString := "SELECT "+cField
END if
if !EMPT(cAlias)
   cSQLString += " FROM "+cAlias
END if
if !EMPT(cWhere)
   cSQLString += " WHERE "+VAR2CHAR(cWhere)
END if
if !EMPT(cBetween)
   cSQLString += " BETWEEN "+SQLString(cBetween)
END if
if !EMPT(cAnd)
   cSQLString += " AND "+cAnd
elseif !EMPT(cOr)   
       cSQLString += " OR "+cOr
END if
if !EMPT(cOrderBy)
   cSQLString += " ORDER BY "+cOrderBy
END if

if !EMPT(cLike)
   cSQLString += " LIKE "+SQLString(cLike)
END if

if !EMPT(nLimit)
   cSQLString += " LIMIT "+VAR2CHAR(nLimit)
END if
if lNot
   cSQLString += " NOT "
END if

cSQLString += ";"
if !EMPT(cField)
   **oCursor:= SQLSelect():new(cSQLString,__oConnection) 

   oCursor := SQLDataSet():new(cSQLString,__oConnection) &&, SQL_CONCUR_READ_ONLY, SQL_CURSOR_DYNAMIC)
   nSuccess:= oCursor:execute()
    ** nSuccess == SQL_XPP_ERROR
   if lGoTop
      oCursor:GoTop()
   END if
   if lGoBottom
      oCursor:GoBottom()
   END if
   if lSkip
      oCursor:Skip(1)
   END if
   if lAppend
      oCursor:Append()
   END if   
   if !EMPT(nGo)
      oCursor:goto(nGo)
   END if
END if
if lDelete
   oCursor:delete()
END if

if lCommit .OR. lDelete .OR. lAppend
   oCursor:UpDateRow()
END if
DC_PointerArrow( )
return oCursor


/* seek SQL*/
FUNCTION SQL_Seek(oCursor,cSeek,cOrderBy,lAppend,lDelete,lGoTop,lGoBottom,lCommit)
PUBLIC  __lFound
DC_PointerWait( )
if !EMPT(cOrderBy)
   oCursor:Sort( {cOrderBy} )
END if
__lFound := oCursor:seek({cSeek})
if lGoTop
   oCursor:GoTop()
END if
if lGoBottom
   oCursor:GoBottom()
END if
if (lAppend .AND. !__lFound)
   oCursor:Append()
END if   
if (__lFound .AND. lDelete) 
   oCursor:delete()
END if
if lCommit .OR. lDelete .OR. (lAppend .AND. __lFound)
   oCursor:UpDateRow()
END if
DC_PointerArrow( )
return __lFound


FUNCTION  SQLExpressKey(); return 0.0

